Subject: linux-next: build failure after merge of the clk tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 11 Dec 2017 10:16:32 +1100

Hi all,

After merging the clk tree, today's linux-next build (x86_64 allmodconfig)
failed like this:

ERROR: "clk_alpha_pll_regs" [drivers/clk/qcom/mmcc-msm8996.ko] undefined!
ERROR: "clk_alpha_pll_regs" [drivers/clk/qcom/gcc-msm8996.ko] undefined!
ERROR: "clk_alpha_pll_regs" [drivers/clk/qcom/gcc-msm8994.ko] undefined!
ERROR: "clk_alpha_pll_regs" [drivers/clk/qcom/gcc-ipq8074.ko] undefined!
ERROR: "clk_hw_is_enabled" [drivers/clk/qcom/clk-qcom.ko] undefined!

Caused by commits

  d1506b749e92 ("clk: qcom: support for alpha pll properties")
  e66a4d6d0081 ("clk: qcom: support for dynamic updating the PLL")
  301803e6013b ("clk: qcom: support Huayra type Alpha PLL")

I have used the clk tree from next-20171208 for today.

-- 
Cheers,
Stephen Rothwell